Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.camtotex
Class Monitor

    java.lang.Object
      de.rico.engine.geometry.AbstractMesh
          de.rico.engine.geometry.MeshDL
              de.rico.engine.effect.camtotex.Monitor

Deprecated. is not fully working, because there is still a problem with clearing one of OpenGL's image buffers.

    @Deprecated
    public class Monitor

extends MeshDL

This class represents a mesh that gets textured with the view from a camera perspective.

Author:
  Frank Bruns

Constructor Summary
`Monitor(MeshContainer meshCont, ParticleEffectContainer effectCont, int moniWidth, int moniHeight, int texRes, int updtInterv, CameraPerspective persp)` Deprecated. Creates a new Monitor object with the specified parameters.

Method Summary
`void` | `addPerspective(CameraPerspective setting, int id)` Deprecated. Adds a camera perspective (identified by the id) to the monitor.
`CameraPerspective` | `getCurrentPerspective()` Deprecated. Returns the current camera perspective that is put on the monitor.
`int` | `getCurrentPerspectiveID()` Deprecated. Returns the id of the current camera setting.
`void` | `setPerspective(int id)` Deprecated. Sets which camera perspective shall be put onto the monitor
`void` | `update(long elapsedTime)` Deprecated. Updates the texture of the monitor according to the specified time interval.

Methods inherited from class de.rico.engine.geometry.MeshDL
`addFace, destroy, draw, finishModel, getDisplayListId, getFaces, getFacesTransformed, specializedDraw`

Methods inherited from class de.rico.engine.geometry.AbstractMesh
`addShader, drawShaders, getBoundingVolume, getHeightOffset, getMaterial, getMouseOverMesh, getName, getPosition, getPosX, getPosY, getPosZ, getRotation, getRotX, getRotY, getRotZ, getScaleX, getScaleY, getScaleZ, getTex0Path, getTex1Path, getText0XMovement, getText0YMovement, getText1XMovement, getText1YMovement, getTexUnit0, getTexUnit1, isCollidable, isDrawingEnabled, isEnabledOcclusionCulling, isMouseOverMesh, isOccluded, isPickable, isShadowEnabled, isSmoothShaded, isTex0Flipped, isTex0MipMapped, isTex0Rotated, isTex1Flipped, isTex1MipMapped, isTex1Rotated, moveBackwardsGlobal, moveBackwardsLocal, moveDownGlobal, moveForwardGlobal, moveForwardLocal, moveLeftGlobal, moveLeftLocal, moveRightGlobal, moveRightLocal, moveTo, moveUpGlobal, performTransformations, rotateDown, rotateLeft, rotateRight, rotateUp, scale, setAttachedGround, setBlendDestFactor, setBlendFunction, setBlendSourceFactor, setCollidable, setDrawingEnabled, setEnabledOcclusionCulling, setEnvironmentMap, setMaterial, setName, setPickable, setPosition, setPosition, setPosX, setPosY, setPosZ, setRotation, setRotation, setRotX, setRotY, setRotZ, setScaleX, setScaleY, setScaleZ, setShadowEnabled, setShowBoundingVolume, setTex0Movement, setTex0TexEnvirMode, setTex0XMovement, setTex0YMovement, setTex1Movement, setTex1TexEnvirMode, setTex1XMovement, setTex1YMovement, setTexUnit0, setTexUnit0, setTexUnit1, setTexUnit1, setTransparency, showWireFrame, translateX, translateY, translateZ`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Monitor

    public Monitor(MeshContainer meshCont,
                   ParticleEffectContainer effectCont,
                   int moniWidth,
                   int moniHeight,
                   int texRes,
                   int updtInterv,
                   CameraPerspective persp)

  Deprecated.
  Creates a new Monitor object with the specified parameters.

  Parameters:
    `meshCont` - mesh container with meshes to be possibly seen in the monitor
    `effectCont` - effect container with particle effects to be possibly seen in the monitor, my be `null`
    `moniWidth` - with of the monitor
    `moniHeight` - height of the monitor
    `texRes` - texture resolution
    `updtInterv` - interval for updating the image
    `persp` - camera perspective to show in the monitor

Method Detail

### addPerspective

    public void addPerspective(CameraPerspective setting,
                               int id)

  Deprecated.
  Adds a camera perspective (identified by the id) to the monitor. Your are not allowed to specify 0 as the id, because it is reserved for the initial base camera perspective.

  Parameters:
    `setting` - further camera setting
    `id` - id for identifying the camera perspective

### setPerspective

    public void setPerspective(int id)

  Deprecated.
  Sets which camera perspective shall be put onto the monitor

  Parameters:
    `id` - id of the camera perspectve to enable, 0 is the initial camera perspective that has been specified in the constructor.

### getCurrentPerspectiveID

    public int getCurrentPerspectiveID()

  Deprecated.
  Returns the id of the current camera setting. The id 0 symbolizes the initial camera perspective that has been specified in the constructor.

  Returns:
    id of the current camera setting

### getCurrentPerspective

    public CameraPerspective getCurrentPerspective()

  Deprecated.
  Returns the current camera perspective that is put on the monitor.

  Returns:
    current perspective on the monitor

### update

    public void update(long elapsedTime)

  Deprecated.
  Updates the texture of the monitor according to the specified time interval.

  Overrides:
    `update` in class `MeshDL`
  Parameters:
    `elapsedTime` - time between two frames

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD